<!DOCTYPE html>
<html lang="en">
<title>ThirdEye Test2</title>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
<link href="//maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="https://kit.fontawesome.com/d69b5e063e.js" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>


<style>
    @import url('https://fonts.googleapis.com/css?family=Mukta');
    body
    {
    	font-family: 'Mukta', sans-serif;
    }
    header {
    	max-height: 130px;
    	/*background: #bcc0c9;*/
    }
    
    .heading {
    	padding: 0px;
    	margin-top: 0px;
    }
    
    .home {
    	margin-left: 50px;
    	margin-right: 50px;
    }
    
    .navbar-header.logo {
    	margin-top: 30px;
    }
    
    ul.nav.navbar-nav {
    	margin-top: 40px;
    }
    
    a:hover {
    	color: #00a82d;
    }
    
    a {
    	color: black;
    	text-decoration: none;
    	font-weight: bold;
    }
    
    .login-wrapper {
    	
    	margin-top: 46px;
    }
    
    .sign {
    	
    	/*color: green;*/
    	color:rgb(0, 156, 206);
    	margin-right: 15px;
    	font-weight: 100;
    	font-size: 16;
    }
    
    .btn-default {
    	color: #333;
    	background-color: #fff;
    }
    
    .log-btn {
    	/*margin-right: 0px;*/
    	/*margin-left: 20px;*/
    	margin-bottom: 10px;
    	width: 121px;
    	/*border: solid green 2px;*/
    	border: 2px solid #009CCE;
    	/*color: green;*/
    	color: rgb(0, 156, 206)
    }
    
    .bg-color {
    	/*background-image: url("https://i.pinimg.com/originals/14/a8/b7/14a8b7a3c652c428eb96278e434f1adb.jpg");*/
    	background-repeat: repeat;
    }
    
    .bg-color.green {
    	/*background-color: #00a82d;*/
    	background-color: rgb(0, 156, 206);
    }
    
    .content-wrapper {
    	height: 618px;
    }
    
    .font {
    	
    	display: block;
    	font-size: 56px;
    	line-height: 72px;
    	color: white;
    }
    
    .description {
    	
    	font-size: 24px;
    	line-height: 40px;
    	margin-bottom: 35px;
    	color: white;
    }
    
    .arrange-content {
    	padding-top: 128px;
    }
    
    .left-pad {
    	padding-left: 65px;
    }
    
    .laptop {
    	width: 91.7%;
    }
    
    .image {
    	display: inline-block;
    }
    
    .design {
    	/*color: green;*/
    	color: rgb(0, 156, 206);
    	width: 242px;
    	height: 57px;
    	font-weight: bold;
    }
    
    @media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (-webkit-min-device-pixel-ratio: 2) {
    	.font {
    		font-family: 'Lato', sans-serif;
    		display: block;
    		font-size: 25px;
    		line-height: 36px;
    		color: white;
    	}
    	.laptop {
    		display: none;
    	}
    }
    
    /*bootstrap survey css
        probably want to center this like login page
    */
    /*.container {*/
    /*  max-width: 65%;*/
    /*}*/
    
    .container {
        position: relative;
        transform: translateY(5%);
        width:70%;
        margin:auto;
        margin-bottom:30px;
        /*border: solid rgb(0, 156, 206) 2px;*/
        border: solid gray 2px;
    }
    
    /*.pricing-header {*/
    /*  max-width: 700px;*/
    /*}*/
    
    /*.card-deck .card {*/
    /*  min-width: 220px;*/
    /*}*/
    
    .bottom-border {
        /*border-bottom: solid rgb(0, 156, 206) 2px;*/
        border: solid gray 1px;
    }
    
    .highlight {
        background-color: yellow;
    }
    
</style>

<body>

<header>
    <nav class="navbar home">
        <div class="container-fluid">
           <div class="navbar-header logo" >
              <img style="width:96px;height:72px;" src="https://standards.ornl.gov/wp-content/themes/sparkling-child/img/ORNL%20Two-line_black.svg" alt="logo" class="pull-left">
              <img src="./img/eye.png" alt="ThirdEye Logo" class="pull-left">
              <!--<img src="https://lh3.googleusercontent.com/-k6lq2mJFWAU/W6iyXfJ6EGI/AAAAAAAAACI/VP1FFXPhG5wEV3RXIPXtZE4_y5na6HzxQCL0BGAYYCw/h68/evernote%2Blogo.PNG" alt="logo" class="pull-left">-->
              <a class="navbar-brand" href="#" >
                 <h2 class="heading"><b>ThirdEye</b></h2>
              </a>
           </div>
           <ul class="nav navbar-nav">
              <li class="dropdown">
                 <a class="dropdown-toggle" data-toggle="dropdown" href="#">INFORMED CONSENT <span class="caret"></span></a>
                 <ul class="dropdown-menu">
                    <li><a href="#">OPTION 1</a></li>
                    <li><a href="#">OPTION 2</a></li>
                    <li><a href="#">OPTION 3</a></li>
                 </ul>
              </li>
              <li class="dropdown">
                 <a class="dropdown-toggle" data-toggle="dropdown" href="#">CONTACT US <span class="caret"></span></a>
                 <ul class="dropdown-menu">
                    <li><a href="#">OPTION 1</a></li>
                    <li><a href="#">OPTION 2</a></li>
                    <li><a href="#">OPTION 3</a></li>
                    <!--<li><a href="#">INTEGRATIONS</a></li>-->
                 </ul>
              </li>
              <li class="dropdown">
                 <a class="dropdown-toggle" data-toggle="dropdown" href="#">HELP <span class="caret"></span></a>
                 <ul class="dropdown-menu">
                    <li><a href="#">OPTION 1</a></li>
                    <li><a href="#">OPTION 2</a></li>
                    <li><a href="#">OPTION 3</a></li>
                    <!--<li><a href="#">INTEGRATIONS</a></li>-->
                 </ul>
              </li>
           </ul>
        </div>
        <div class="bottom-border"></div>
    </nav>
</header>


<!--<div class="container" style="margin-top: 60px;">-->
<div class="container" border="5">
    <!--<div style="padding-top:15px;"></div>-->
    <div style="padding-top:15px;"></div>
    <div style="background-color: rgb(0, 156, 206); border: solid gray 2px;" >
    	<h4 id="dataLabel" style="color:white; padding: 15px;" >Data Review N of N: Part 1 of 4</h4>
    	<center><h4 style="color:white;">Please read and thoughtfully consider the text below and answer the prompts that appear:</h4></center>
        <!--<div class="bottom-border"></div>-->
    </div>
	<form>
      <div class="form-group">
        <!--<center><h4>Please read the following sentences and indicate your agreement or disagreement:</h4></center>-->
        <!--<div class="bottom-border"></div>-->
        <!--<input type="text" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Type answer here...">-->
        <!--<small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>-->
      </div>

        <div style="border: solid gray 2px;" >
        	<center><h3 id="tweetText">This is the tweet text placeholder. The actual text from the tweet will be populated here.</h3></center>
        </div>
        
        <br>
        
        <!--decision tree 1-->
        <div class="tree1" id="tree1">
        	<center><h4>Is this text inflammatory or ordinary? <i class="fas fa-info-circle" title="Uses strong rhetoric to provokes feelings of anger."></i></h4></center>
            <!--<br>-->
          
            <center><div class="form-check1">
                <label class="radio-inline">
                  <input type="radio" onclick="updateQuestions(inflammatoryRadio)" id="inflammatoryRadio" name="inflammatory">Inflammatory
                </label>
                <label class="radio-inline">
                  <input type="radio" onclick="updateQuestions(ordinaryRadio)" id="ordinaryRadio" name="inflammatory">Ordinary
                </label>
                <br>
                <br>
            </div></center>

            <div id="inflammatoryHighlight" style="display: none;">
                <center><h4>Please highlight the inflammatory portion of the text.</h4>
                <button id="startHighlightBtn" onclick="beginHighlighting()" type="button" class="btn btn-default btn-md log-btn">Start Highlight</button>
                <button style="display: none;" id="doneHighlightBtn" onclick="updateQuestions(doneHighlightBtn)" type="button" class="btn btn-default btn-md log-btn">Finished</button>
                
                <br>
                <br>

                <!--<h4>Your selected inflammatory text:</h4>-->
                <div style="width: 40%; display: none;">
                  <textarea disabled class="form-control" id="sel" rows="3"></textarea>
                </div>
                
                
                </center>
                <!--<br>-->
            </div>
            <!--<br>-->
            
            <div id="inflammatoryConfidence" style="display: none;">
                <center><h4>How sure are you that this text is inflammatory?</h4></center>
                <!--<br>-->
                
                <center><div class="form-check2">
                    <label class="radio-inline">
                      <input type="radio" id="verySureRadio" onclick="updateQuestions('enableContinue')" name="inflammatoryConfidence">Very Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="sureRadio" onclick="updateQuestions('enableContinue')" name="inflammatoryConfidence">Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="notSureRadio" onclick="updateQuestions('enableContinue')" name="inflammatoryConfidence">Not Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="dontKnowRadio" onclick="updateQuestions('enableContinue')" name="inflammatoryConfidence">Don't Know
                    </label>
                </div></center>
                
            </div>
            
            <div id="ordinaryConfidence" style="display: none;">
                <center><h4>How sure are you that this text is not inflammatory?</h4></center>
                <!--<br>-->
                
                <center><div class="form-check3">
                    <label class="radio-inline">
                      <input type="radio" id="verySureRadio" name="ordinaryConfidence">Very Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="sureRadio" name="ordinaryConfidence">Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="notSureRadio" name="ordinaryConfidence">Not Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="dontKnowRadio" name="ordinaryConfidence">Don't Know
                    </label>
                </div></center>
                
            </div>
            
        </div>
        
        
        <!--decision tree 2-->
        <div class="tree2" id="tree2" style="display: none;">
        	<center><h4>Does this text express a problem with a specific characteristic of an 'other'?</h4></center>
            <!--<br>-->
          
            <center><div class="form-check1">
                <label class="radio-inline">
                  <input type="radio" onclick="updateQuestions(problemYes)" id="problemYes" name="problem">Yes
                </label>
                <label class="radio-inline">
                  <input type="radio" onclick="updateQuestions(problemNo)" id="problemNo" name="problem">No
                </label>
                <br>
                <br>
            </div></center>
            
            
            
            <div id="problemDropdown" style="display: none;">
                <center><h4>What is the problematized characteristic?</h4></center>

                <center><div class="form-group">
                  <!--<label for="sel1">Select one</label>-->
                  <select class="input-small" title="Select one" onchange="updateQuestions(problemDropdown)">
                    <option selected disabled>Select one</option>
                    <option>Race/Ethinicity</option>
                    <option>Immigration/Nationality</option>
                    <option>Sexual Orientation</option>
                    <option>Religious Views</option>
                    <option>Gender Identity</option>
                    <option>Political Views</option>
                    <option>Disability</option>
                    <option>Appearance</option>
                    <option>Other</option>
                  </select>
                </div></center>
                
                <br>
            </div>
            
            
            <div id="problemHighlight" style="display: none;">
                <center><h4>Please highlight the problematic characteristic in the text.</h4>
                <!--<button id="startProblemHighlightBtn" type="button" class="btn btn-default btn-md log-btn">Begin</button>-->
                <!--<button id="doneProblemHighlightBtn" onclick="updateQuestions(doneProblemHighlightBtn)" type="button" class="btn btn-default btn-md log-btn">Finished</button>-->
                <button id="startProblemHighlightBtn" onclick="beginHighlighting()" type="button" class="btn btn-default btn-md log-btn">Start Highlight</button>
                <button id="doneProblemHighlightBtn" style="display: none;" onclick="updateQuestions(doneProblemHighlightBtn)" type="button" class="btn btn-default btn-md log-btn">Finished</button>
                </center>
                <br>
            </div>
            
            <div id="problemConfidence" style="display: none;">
                <center><h4>How sure are you that this text is a problematized characteristic?</h4></center>
                <!--<br>-->
                
                <center><div class="form-check2">
                    <label class="radio-inline">
                      <input type="radio" id="verySureRadio" name="problemConfidence">Very Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="sureRadio" name="problemConfidence">Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="notSureRadio" name="problemConfidence">Not Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="dontKnowRadio" name="problemConfidence">Don't Know
                    </label>
                </div></center>
                
            </div>
            
            <div id="notProblemConfidence" style="display: none;">
                <center><h4>How sure are you that this text does not contain a problematized characteristic?</h4></center>
                <!--<br>-->
                
                <center><div class="form-check3">
                    <label class="radio-inline">
                      <input type="radio" id="verySureRadio" name="notProblemConfidence">Very Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="sureRadio" name="notProblemConfidence">Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="notSureRadio" name="notProblemConfidence">Not Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="dontKnowRadio" name="notProblemConfidence">Don't Know
                    </label>
                </div></center>
                
            </div>
        </div>
        
        
        <!--decision tree 3-->
        <div class="tree3" id="tree3" style="display: none;">
        	<center><h4>Does this text attempt to advocate for violence, hatred, discrimination, or a specific policy?</h4></center>
            <!--<br>-->
          
            <center><div class="form-check1">
                <label class="radio-inline">
                  <input type="radio" onclick="updateQuestions(advocateYes)" id="advocateYes" name="advocate">Yes
                </label>
                <label class="radio-inline">
                  <input type="radio" onclick="updateQuestions(advocateNo)" id="advocateNo" name="advocate">No
                </label>
                <br>
                <br>
            </div></center>
            
            
            
            <div id="advocateDropdown" style="display: none;">
                <center><h4>What is being advocated for?</h4></center>

                <center><div class="form-group">
                  <!--<label for="sel1">Select one</label>-->
                  <select class="input-small" title="Select one" onchange="updateQuestions(advocateDropdown)">
                    <option selected disabled>Select one</option>
                    <option>Violence</option>
                    <option>Hatred</option>
                    <option>Discrimination</option>
                    <option>Policy</option>
                    <option>Other</option>
                  </select>
                </div></center>
                
                <br>
            </div>
            
            
            <div id="advocateHighlight" style="display: none;">
                <center><h4>Please highlight the advocative text.</h4>
                <!--<button id="startAdvocateHighlightBtn" type="button" class="btn btn-default btn-md log-btn">Begin</button>-->
                <!--<button id="doneAdvocateHighlightBtn" onclick="updateQuestions(doneAdvocateHighlightBtn)" type="button" class="btn btn-default btn-md log-btn">Finished</button>-->
                <button id="startAdvocateHighlightBtn" onclick="beginHighlighting()" type="button" class="btn btn-default btn-md log-btn">Start Highlight</button>
                <button id="doneAdvocateHighlightBtn" style="display: none;" onclick="updateQuestions(doneAdvocateHighlightBtn)" type="button" class="btn btn-default btn-md log-btn">Finished</button>
                </center>
                <br>
            </div>
            
            <div id="advocateConfidence" style="display: none;">
                <center><h4>How sure are you that this text is advocative text?</h4></center>
                <!--<br>-->
                
                <center><div class="form-check2">
                    <label class="radio-inline">
                      <input type="radio" id="verySureRadio" name="advocateConfidence">Very Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="sureRadio" name="advocateConfidence">Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="notSureRadio" name="advocateConfidence">Not Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="dontKnowRadio" name="advocateConfidence">Don't Know
                    </label>
                </div></center>
                
            </div>
            
            <div id="notAdvocateConfidence" style="display: none;">
                <center><h4>How sure are you that this text does not advocate for violence, hatred, discrimination, or a specific policy?</h4></center>
                <!--<br>-->
                
                <center><div class="form-check3">
                    <label class="radio-inline">
                      <input type="radio" id="verySureRadio" name="notAdvocateConfidence">Very Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="sureRadio" name="notAdvocateConfidence">Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="notSureRadio" name="notAdvocateConfidence">Not Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="dontKnowRadio" name="notAdvocateConfidence">Don't Know
                    </label>
                </div></center>
                
            </div>
        </div>
        
        
        <!--decision tree 4-->
        <div class="tree4" id="tree4" style="display: none;">
        	<center><h4>Does this text contain a propaganda device?</h4></center>
            <!--<br>-->
          
            <center><div class="form-check1">
                <label class="radio-inline">
                  <input type="radio" onclick="updateQuestions(propagandaYes)" id="propagandaYes" name="propaganda">Yes
                </label>
                <label class="radio-inline">
                  <input type="radio" onclick="updateQuestions(propagandaNo)" id="propagandaNo" name="propaganda">No
                </label>
                <br>
                <br>
            </div></center>
            
            
            
            <div id="propagandaDropdown" style="display: none;">
                <center><h4>What is the propaganda device?</h4></center>

                <center><div class="form-group">
                  <!--<label for="sel1">Select one</label>-->
                  <select class="input-small" title="Select one" onchange="updateQuestions(propagandaDropdown)">
                    <option selected disabled>Select one</option>
                    <option>Name Calling/Attack & Distract</option>
                    <option>Overly Kind</option>
                    <option>False Connections</option>
                    <option>Bad Logic/Exaggeration</option>
                    <option>Appealing to the Masses</option>
                    <option>Instilling Fear</option>
                    <option>Other</option>
                  </select>
                </div></center>
                
                <br>
            </div>
            
            
            <div id="propagandaHighlight" style="display: none;">
                <center><h4>Please highlight the propaganda device.</h4>
                <!--<button id="startPropagandaHighlightBtn" type="button" class="btn btn-default btn-md log-btn">Begin</button>-->
                <!--<button id="donePropagandaHighlightBtn" onclick="updateQuestions(donePropagandaHighlightBtn)" type="button" class="btn btn-default btn-md log-btn">Finished</button>-->
                <button id="startPropagandaHighlightBtn" onclick="beginHighlighting()" type="button" class="btn btn-default btn-md log-btn">Start Highlight</button>
                <button id="donePropagandaHighlightBtn" style="display: none;" onclick="updateQuestions(donePropagandaHighlightBtn)" type="button" class="btn btn-default btn-md log-btn">Finished</button>
                </center>
                <br>
            </div>
            
            <div id="propagandaConfidence" style="display: none;">
                <center><h4>How sure are you that this text contains the propaganda device?</h4></center>
                <!--<br>-->
                
                <center><div class="form-check2">
                    <label class="radio-inline">
                      <input type="radio" id="verySureRadio" name="propagandaConfidence">Very Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="sureRadio" name="propagandaConfidence">Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="notSureRadio" name="propagandaConfidence">Not Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="dontKnowRadio" name="propagandaConfidence">Don't Know
                    </label>
                </div></center>
                
            </div>
            
            <div id="notPropagandaConfidence" style="display: none;">
                <center><h4>How sure are you that this text does not contain a propaganda device?</h4></center>
                <!--<br>-->
                
                <center><div class="form-check3">
                    <label class="radio-inline">
                      <input type="radio" id="verySureRadio" name="notPropagandaConfidence">Very Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="sureRadio" name="notPropagandaConfidence">Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="notSureRadio" name="notPropagandaConfidence">Not Sure
                    </label>
                    <label class="radio-inline">
                      <input type="radio" id="dontKnowRadio" name="notPropagandaConfidence">Don't Know
                    </label>
                </div></center>
                
            </div>
        </div>
        
        

    </form>
    <div class="login-wrapper pull-right">
      <button id="continueBtn" disabled type="button" class="btn btn-default btn-md log-btn">Continue</button>
    </div>
    <div class="login-wrapper pull-right">
      <button style="display: none;" id="nextBtn" type="button" class="btn btn-default btn-md log-btn">Next</button>
   </div>
</div>

<script type="text/javascript">
var questionSet = 1;
document.getElementById("continueBtn").onclick = function () {
    if(questionSet <= 4){
        questionSet++;
        // console.log(questionSet);
        let label = "Data Review N of N: Part " + (questionSet) + " of 4";
            $("#dataLabel").text(label);
        updateQuestionSet(questionSet)
        if(questionSet == 4){
            console.log("setting to Next")
            $('#continueBtn').hide();
            $('#nextBtn').show();
            // questionSet++;
        }
    }
    else{
        console.log("Finished Tweet")
    }
};

function updateQuestionSet(set){
    if(set == 2){
        $('#tree1').hide();
        //Show questions from appropriate page
        $('#tree2').show();
    }
    if(set == 3){
        $('#tree2').hide();
        //Show questions from appropriate page
        $('#tree3').show();
    }
    if(set == 4){
        $('#tree3').hide();
        //Show questions from appropriate page
        $('#tree4').show();
    }
    clearHighlighting();
}


function updateQuestions(elem) {

    //page 1
    if (elem.id == "ordinaryRadio"){
        // document.getElementById("inflammatoryHighlight").style.display = "none";
        $('#ordinaryConfidence').show();
        $('#inflammatoryHighlight').hide();
        $('#inflammatoryConfidence').hide();
        clearHighlighting();
    }
    if (elem.id == "inflammatoryRadio"){
        $('#ordinaryConfidence').hide();
        $('#inflammatoryHighlight').show();
    }
    if (elem.id == "doneHighlightBtn"){
        $('#ordinaryConfidence').hide();
        $('#inflammatoryHighlight').show();
        $('#inflammatoryConfidence').show();
        endHighlighting();
    }
    if (elem == 'enableContinue'){
        // document.getElementById("continueBtn").disabled = false
        $('#continueBtn').attr("disabled", false);
    }
    
    //page 2
    if(elem.id == "problemYes"){
        $('#problemDropdown').show();
        $('#notProblemConfidence').hide();
    }
    if(elem.id == "problemNo"){
        $('#notProblemConfidence').show();
        $('#problemDropdown').hide();
        $('#problemHighlight').hide();
        $('#problemConfidence').hide();
        clearHighlighting();
    }
    if(elem.id == "problemDropdown"){
        $('#problemHighlight').show();
        $('#notProblemConfidence').hide();
    }
    if(elem.id == "doneProblemHighlightBtn"){
        $('#problemConfidence').show();
        $('#notProblemConfidence').hide();
        endHighlighting();
    }
    
    
    //page 3
    if(elem.id == "advocateYes"){
        $('#advocateDropdown').show();
        $('#notAdvocateConfidence').hide();
    }
    if(elem.id == "advocateNo"){
        $('#notAdvocateConfidence').show();
        $('#advocateDropdown').hide();
        $('#advocateHighlight').hide();
        $('#advocateConfidence').hide();
        clearHighlighting();
    }
    if(elem.id == "advocateDropdown"){
        $('#advocateHighlight').show();
        $('#notAdvocateConfidence').hide();
    }
    if(elem.id == "doneAdvocateHighlightBtn"){
        $('#advocateConfidence').show();
        $('#notAdvocateConfidence').hide();
        endHighlighting();
    }
    
    
    //page 4
    if(elem.id == "propagandaYes"){
        $('#propagandaDropdown').show();
        $('#notPropagandaConfidence').hide();
    }
    if(elem.id == "propagandaNo"){
        $('#notPropagandaConfidence').show();
        $('#propagandaDropdown').hide();
        $('#propagandaHighlight').hide();
        $('#propagandaConfidence').hide();
        clearHighlighting();
    }
    if(elem.id == "propagandaDropdown"){
        $('#propagandaHighlight').show();
        $('#notPropagandaConfidence').hide();
    }
    if(elem.id == "donePropagandaHighlightBtn"){
        $('#propagandaConfidence').show();
        $('#notPropagandaConfidence').hide();
        endHighlighting();
    }
}

var highlightingInProgress = false;

var originalTweetText = document.getElementById("tweetText").innerHTML;

function beginHighlighting(){
    console.log(questionSet);
    highlightingInProgress = true;
    if(questionSet == 1) {
        $('#startHighlightBtn').hide();
        $('#doneHighlightBtn').show();
    }
    
    if(questionSet == 2) {
        $('#startProblemHighlightBtn').hide();
        $('#doneProblemHighlightBtn').show();
    }
    
    if(questionSet == 3) {
        $('#startAdvocateHighlightBtn').hide();
        $('#doneAdvocateHighlightBtn').show();
    }
    
    if(questionSet == 4) {
        $('#startPropagandaHighlightBtn').hide();
        $('#donePropagandaHighlightBtn').show();   
    }

    clearHighlighting();
}

function endHighlighting(){
    highlightingInProgress = false;
    // $('#startHighlightBtn').show();
    // $('#doneHighlightBtn').hide();
    // highlight(document.getElementById("sel").value);
    // console.log(document.getElementById("sel").value);
    
    if(questionSet == 1) {
        $('#startHighlightBtn').show();
        $('#doneHighlightBtn').hide();
    }
    
    if(questionSet == 2) {
        $('#startProblemHighlightBtn').show();
        $('#doneProblemHighlightBtn').hide();
    }
    
    if(questionSet == 3) {
        $('#startAdvocateHighlightBtn').show();
        $('#doneAdvocateHighlightBtn').hide();
    }
    
    if(questionSet == 4) {
        $('#startPropagandaHighlightBtn').show();
        $('#donePropagandaHighlightBtn').hide();   
    }
    
    highlight(document.getElementById("sel").value);
    console.log(document.getElementById("sel").value);
}

function clearHighlighting(){
    document.getElementById("tweetText").innerHTML = originalTweetText;
}

function getSelectionText(previousValue) {
    var text = previousValue;
    if (window.getSelection) {
        if(window.getSelection() != ""){ 
            text = window.getSelection().toString();
        }
    }
    return text;
}

document.onmouseup = document.onkeyup = document.onselectionchange = function() {
    if(highlightingInProgress == true){
        document.getElementById("sel").value = getSelectionText(document.getElementById("sel").value);
    }
};

function highlight(text) {
  var tweetText = document.getElementById("tweetText");
  var innerHTML = tweetText.innerHTML;
  var index = innerHTML.indexOf(text);
  if (index >= 0) { 
   innerHTML = innerHTML.substring(0,index) + "<span class='highlight'>" + innerHTML.substring(index,index+text.length) + "</span>" + innerHTML.substring(index + text.length);
   tweetText.innerHTML = innerHTML;
  }
}


</script>


</body>

</html>